commit:     70a9cf0e2898f8690132155a8bfe34bdef564231
Author:     Alexey Sokolov <sokolov <AT> google <DOT> com>
AuthorDate: Tue Jun 22 21:17:41 2021 +0000
Commit:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Tue Jun 22 23:00:02 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=70a9cf0e

app-misc/openrgb-plugin-effects: new package

https://gitlab.com/OpenRGBDevelopers/OpenRGBEffectsPlugin

Package-Manager: Portage-3.0.20, Repoman-3.0.2
Signed-off-by: Alexey Sokolov <alexey+gentoo <AT> asokolov.org>
Closes: https://github.com/gentoo/gentoo/pull/21379
Signed-off-by: Patrick McLean <chutzpah <AT> gentoo.org>

 app-misc/openrgb-plugin-effects/Manifest           |  1 +
 app-misc/openrgb-plugin-effects/metadata.xml       | 15 +++++++
 .../openrgb-plugin-effects-0_p20210619.ebuild      | 47 ++++++++++++++++++++++
 3 files changed, 63 insertions(+)

diff --git a/app-misc/openrgb-plugin-effects/Manifest 
b/app-misc/openrgb-plugin-effects/Manifest
new file mode 100644
index 00000000000..b88ac276fe9
--- /dev/null
+++ b/app-misc/openrgb-plugin-effects/Manifest
@@ -0,0 +1 @@
+DIST OpenRGBEffectsPlugin-a8ea7eef586d9dc341fbe67f60cb8cb4d69a9504.tar.bz2 
345726 BLAKE2B 
e8cf741ba935521c449d3b2a326a44b709c919cb3e3694cbd07939205b8f589dcc00b46cdb1f08684e4e4d3d0a798aade7c051ebc16c3c82368fbeb94ec84fb5
 SHA512 
134b46090386f94fcf77c4a0a1807ac94ecb8323f318e01098a1edf9b3cf555dbc7f1c5abce484dd4aba9cea32ae7aac5abc0f5f1d26e8edee4afe197f5a254f

diff --git a/app-misc/openrgb-plugin-effects/metadata.xml 
b/app-misc/openrgb-plugin-effects/metadata.xml
new file mode 100644
index 00000000000..6a2173ad187
--- /dev/null
+++ b/app-misc/openrgb-plugin-effects/metadata.xml
@@ -0,0 +1,15 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="person">
+               <email>[email protected]</email>
+               <name>Patrick McLean</name>
+       </maintainer>
+       <maintainer type="person" proxied="yes">
+               <email>[email protected]</email>
+               <name>Alexey Sokolov</name>
+       </maintainer>
+       <upstream>
+               <remote-id 
type="gitlab">OpenRGBDevelopers/OpenRGBEffectsPlugin</remote-id>
+       </upstream>
+</pkgmetadata>

diff --git 
a/app-misc/openrgb-plugin-effects/openrgb-plugin-effects-0_p20210619.ebuild 
b/app-misc/openrgb-plugin-effects/openrgb-plugin-effects-0_p20210619.ebuild
new file mode 100644
index 00000000000..3bf56003dd4
--- /dev/null
+++ b/app-misc/openrgb-plugin-effects/openrgb-plugin-effects-0_p20210619.ebuild
@@ -0,0 +1,47 @@
+# Copyright 2020-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit qmake-utils
+
+MY_GIT_COMMIT="a8ea7eef586d9dc341fbe67f60cb8cb4d69a9504"
+SRC_URI="https://gitlab.com/OpenRGBDevelopers/OpenRGBEffectsPlugin/-/archive/${MY_GIT_COMMIT}/OpenRGBEffectsPlugin-${MY_GIT_COMMIT}.tar.bz2";
+S="${WORKDIR}/OpenRGBEffectsPlugin-${MY_GIT_COMMIT}"
+KEYWORDS="~amd64"
+
+DESCRIPTION="Plugin for OpenRGB with various Effects that can be synced across 
devices"
+HOMEPAGE="https://gitlab.com/OpenRGBDevelopers/OpenRGBEffectsPlugin";
+LICENSE="GPL-2"
+SLOT="0"
+
+RDEPEND="
+       >=app-misc/openrgb-0.6-r1:=
+       dev-qt/qtcore:5
+       dev-qt/qtgui:5
+       dev-qt/qtwidgets:5
+       media-libs/openal
+"
+DEPEND="
+       ${RDEPEND}
+       dev-cpp/nlohmann_json
+"
+
+src_prepare() {
+       default
+       rm -r OpenRGB || die
+}
+
+src_configure() {
+       eqmake5 \
+               INCLUDEPATH+="${ESYSROOT}/usr/include/nlohmann" \
+               INCLUDEPATH+="${ESYSROOT}/usr/include/OpenRGB" \
+               INCLUDEPATH+="${ESYSROOT}/usr/include/OpenRGB/RGBController" \
+               INCLUDEPATH+="${ESYSROOT}/usr/include/OpenRGB/i2c_smbus" \
+               INCLUDEPATH+="${ESYSROOT}/usr/include/OpenRGB/net_port"
+}
+
+src_install() {
+       exeinto /usr/$(get_libdir)/OpenRGB/plugins
+       doexe libOpenRGBEffectsPlugin.so.1.0
+}

Reply via email to